import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.aiGovernanceSettings.update();
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/settings/ai-governance \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"aiGovernanceSettings": {
"allowedClientTypes": [],
"autoDiscoveryEnabled": true,
"createdAt": "2023-11-07T05:31:56Z",
"defaultClientLifecycle": {
"inactivityCloseAfter": "<string>",
"inactivityHideAfter": "<string>",
"retentionDeleteAfter": "<string>"
},
"discoveryInterval": "<string>",
"enabled": true,
"preferCodeModeOverDirectTools": true,
"requireToolApproval": true,
"surfaceRequestableTools": true,
"updatedAt": "2023-11-07T05:31:56Z"
},
"updateMask": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/settings/ai-governance"
payload = {
"aiGovernanceSettings": {
"allowedClientTypes": [],
"autoDiscoveryEnabled": True,
"createdAt": "2023-11-07T05:31:56Z",
"defaultClientLifecycle": {
"inactivityCloseAfter": "<string>",
"inactivityHideAfter": "<string>",
"retentionDeleteAfter": "<string>"
},
"discoveryInterval": "<string>",
"enabled": True,
"preferCodeModeOverDirectTools": True,
"requireToolApproval": True,
"surfaceRequestableTools": True,
"updatedAt": "2023-11-07T05:31:56Z"
},
"updateMask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
aiGovernanceSettings: {
allowedClientTypes: [],
autoDiscoveryEnabled: true,
createdAt: '2023-11-07T05:31:56Z',
defaultClientLifecycle: {
inactivityCloseAfter: '<string>',
inactivityHideAfter: '<string>',
retentionDeleteAfter: '<string>'
},
discoveryInterval: '<string>',
enabled: true,
preferCodeModeOverDirectTools: true,
requireToolApproval: true,
surfaceRequestableTools: true,
updatedAt: '2023-11-07T05:31:56Z'
},
updateMask: '<string>'
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/settings/ai-governance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"aiGovernanceSettings": {
"allowedClientTypes": [],
"autoDiscoveryEnabled": true,
"createdAt": "2023-11-07T05:31:56Z",
"defaultClientLifecycle": {
"inactivityCloseAfter": "<string>",
"inactivityHideAfter": "<string>",
"retentionDeleteAfter": "<string>"
},
"discoveryInterval": "<string>",
"enabled": true,
"preferCodeModeOverDirectTools": true,
"requireToolApproval": true,
"surfaceRequestableTools": true,
"updatedAt": "2023-11-07T05:31:56Z"
}
}Update
Update the tenant’s AI governance settings. Requires update_mask listing which fields to apply (e.g. require_tool_approval, default_tool_classification, audit_verbosity, auto_discovery_enabled, discovery_interval, prefer_code_mode_over_direct_tools, surface_requestable_tools, allowed_client_types, default_client_lifecycle). Only masked fields change. Returns the updated settings.
import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.aiGovernanceSettings.update();
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Body
Response
Successful response
The UpdateAIGovernanceSettingsResponse message.
The AIGovernanceSettings message.
Show child attributes
Show child attributes
Was this page helpful?